POST/api/validation-query
Validation query
This endpoint allows you to check the status of a previously created validation request.
Request
- Name
token- Type
- string
- is Required
- REQUIRED
- Description
Token returned by
/api/validationsupon creating the validationExample:d5d67dcbMin length:8
- Name
locale- Type
- string
- is optional
- Description
Define the language to use in ISO 639-1 format.
Allowed values:esenptitExample:es
Request
POST
/api/validation-querycurl -X "POST" {{baseURl}}/api/validation-query \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"token": "d5d67dcb",
"locale": "en"
}'
Response
The validation request has been successfully retrieved.
- Name
status- Type
- object
- is optional
- Description
- Name
token- Type
- string
- is optional
- Description
Request identifier (8 hexadecimal characters)
Example:d5d67dcb
- Name
reference- Type
- string
- is optional
- Description
Identifier of the item to validate
Example:0122333444455555
- Name
kind- Type
- string
- is optional
- Description
Field used to classify a request
Example:horus
Response
POST
/api/validation-query{
"status": {
"status": "APPROVED",
"reason": null,
"message": "Status validation is APPROVED",
"date": "2022-08-08T16:25:45+00:00"
},
"token": "d5d67dcb",
"reference": "0122333444455555",
"kind": "horus"
}